Subject: Re: [PATCH] Stochastic Fair Blue queue discipline

From: Juliusz Chroboczek <[email-masked]>
Date: Tue, 08 Apr 2008 17:28:48 +0200

> I experienced with SFB myself some time ago and recall
> getting huge unfairness towards non-ECN connections.

I've only done informal checking, but didn't test ECN against non-ECN.
Will do, and I'll let you know the results.

> I just found my old tree and it was just Blue, which might explain this

Blue is supposed to be roughly fair w.r.t. TCP-compliant flows with
similar RTT.  If you see long-term unfairness with Blue at a single
RTT, then something is wrong at the sender.  I'll see if I can repeat
your issues.

Earlier versions of Linux did not reduce their sending rate when they
received ECE and the congestion window was just 1 MSS.  I don't know
if this bug has been fixed.

                                        Juliusz